[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomCoolBar.MouseDown

Handles mouse down messages for the control.

## Declaration

Source position: comctrls.pp line 2623

`protected procedure TCustomCoolBar.MouseDown(`
`Button: TMouseButton;`
`Shift: TShiftState;`
`X: Integer;`
`Y: Integer`
`); override;`

## Arguments

`Button` |  | Mouse button for the message.
`Shift` |  | Shift, Ctrl, or Alt modifier for the mouse message.
`X` |  | Horizontal coordinate for the mouse pointer.
`Y` |  | Vertical coordinate for the mouse pointer.

## See also

TControl.MouseDown |  | Handles a mouse down event for the control.